Main Clients
Update Main Client callback urls
Update information about Main Client Allowed Link URLs. Allowed Link URLs of Main Client will only be used for those Registered clients, that don’t have any Allowed Link URLs specified.
POST
/
admin
/
api
/
v1
/
Client
/
callbackUrls
Update Main Client callback urls
curl --request POST \
--url https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/Client/callbackUrls \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"callbackUrls": [
"https://mainclient-website1.com",
"https://mainclient-website2.com"
]
}
'import requests
url = "https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/Client/callbackUrls"
payload = { "callbackUrls": ["https://mainclient-website1.com", "https://mainclient-website2.com"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
callbackUrls: ['https://mainclient-website1.com', 'https://mainclient-website2.com']
})
};
fetch('https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/Client/callbackUrls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/Client/callbackUrls",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'callbackUrls' => [
'https://mainclient-website1.com',
'https://mainclient-website2.com'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/Client/callbackUrls"
payload := strings.NewReader("{\n \"callbackUrls\": [\n \"https://mainclient-website1.com\",\n \"https://mainclient-website2.com\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/Client/callbackUrls")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"callbackUrls\": [\n \"https://mainclient-website1.com\",\n \"https://mainclient-website2.com\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/Client/callbackUrls")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"callbackUrls\": [\n \"https://mainclient-website1.com\",\n \"https://mainclient-website2.com\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"status": "ok",
"message": "",
"errorHash": "97ba9d35",
"teamCode": "P4",
"errorType": ""
}{
"statusCode": 401
}{
"status": "permissionDenied",
"message": "Error message",
"displayMessage": "Optional display message",
"errorHash": "cd59bd31",
"teamCode": "P4",
"errorType": "missingField"
}Authorizations
Body
application/json
Update Main Client Callback URLs request
Response
Main Client callback urls added/updated
Was this page helpful?
⌘I
Update Main Client callback urls
curl --request POST \
--url https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/Client/callbackUrls \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"callbackUrls": [
"https://mainclient-website1.com",
"https://mainclient-website2.com"
]
}
'import requests
url = "https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/Client/callbackUrls"
payload = { "callbackUrls": ["https://mainclient-website1.com", "https://mainclient-website2.com"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
callbackUrls: ['https://mainclient-website1.com', 'https://mainclient-website2.com']
})
};
fetch('https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/Client/callbackUrls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/Client/callbackUrls",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'callbackUrls' => [
'https://mainclient-website1.com',
'https://mainclient-website2.com'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/Client/callbackUrls"
payload := strings.NewReader("{\n \"callbackUrls\": [\n \"https://mainclient-website1.com\",\n \"https://mainclient-website2.com\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/Client/callbackUrls")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"callbackUrls\": [\n \"https://mainclient-website1.com\",\n \"https://mainclient-website2.com\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/Client/callbackUrls")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"callbackUrls\": [\n \"https://mainclient-website1.com\",\n \"https://mainclient-website2.com\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"status": "ok",
"message": "",
"errorHash": "97ba9d35",
"teamCode": "P4",
"errorType": ""
}{
"statusCode": 401
}{
"status": "permissionDenied",
"message": "Error message",
"displayMessage": "Optional display message",
"errorHash": "cd59bd31",
"teamCode": "P4",
"errorType": "missingField"
}